[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: State of automake packages

On Wed, Jun 05, 2002 at 09:58:47PM +0100, Scott James Remnant wrote:
> > How handle automake now that Woody is frozen is another question. Will
> > automake get back to being the latest version? I guess it's the right
> > moment to break things in unstable.
> > 
> If an application was written to use automake 1.4 or before, automake
> 1.4 is the latest version of automake you can use to generate the
> Makefile.ins for it.  This is the majority of applications, and will
> probably remain so for quite some time.

FWIW, all the Makefile.am's I have ever written (created mostly with
automake 1.4), many of which are quite sophisticated, have worked fine
with automake 1.5 (or at least as well as they did with 1.4). Most of
the problems I've seen stem from attempts at "workarounds" for things
which automake blatantly does not support (like building source files
which are located in directories other than the one where Makefile.am
is located).

Haven't tried the versions which haven't made it into debian yet,

  .''`.  ** Debian GNU/Linux ** | Andrew Suffield
 : :' :  http://www.debian.org/ | Dept. of Computing,
 `. `'                          | Imperial College,
   `-             -><-          | London, UK

Attachment: pgpbGFBjifBoQ.pgp
Description: PGP signature

Reply to: